## actionaz 3.7.0

=== runner/Makefile ===
# Actionaz
# Copyright (C) 2008-2011 Jonathan Mercier-Ganady
#
# Actionaz is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Actionaz is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#
# Contact : jmgr@jmgr.info

all: main.obj
		cl /Fe../sfx/runner.exe main.c /Os /link /nologo /SUBSYSTEM:WINDOWS /NODEFAULTLIB /ENTRY:wmainCRTStartup libcmt.lib User32.lib Shell32.lib Kernel32.lib

## actionaz 3.2.2

=== debian/changelog ===
actionaz (3.2.2-1) unstable; urgency=low

  * New upstream release
     - +dfsg is not needed anymore as upstream removed the problematic files
     - Build flags incompatible with architectures other than amd64 removed
       (Closes: #657692)
  * debian/rules: removed get-orig-source now that repacking is not needed

 -- Adrien Cunin <adri2000@ubuntu.com>  Sun, 29 Jan 2012 16:14:38 +0100

actionaz (3.2.1.1+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #656140)
  * Repacked upstream tarball to remove sfx/ which contains only Windows
    binaries for which no source code is shipped

 -- Adrien Cunin <adri2000@ubuntu.com>  Mon, 23 Jan 2012 23:56:16 +0100

=== debian/control ===
Source: actionaz
Section: utils
Priority: extra
Maintainer: Adrien Cunin <adri2000@ubuntu.com>
Build-Depends: debhelper (>= 8), libqt4-dev, libxtst-dev, libnotify-dev, qtmobility-dev, libqt4-opengl-dev, libcv-dev, libcvaux-dev, libboost-dev
Standards-Version: 3.9.2
Homepage: http://actionaz.org
Vcs-Git: git://git.debian.org/collab-maint/actionaz.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/actionaz.git;a=summary

Package: actionaz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libqtscript4-qtbindings, libqt4-sql-sqlite | libqt4-sql-mysql | libqt4-sql-psql | libqt4-sql-odbc
Description: emulate human activity through a powerful GUI and JavaScript
 Actionaz is an application that allows you to execute many actions on your
 computer such as emulating mouse clicks, key presses, showing message boxes,
 editing text files, etc. Tasks can be created using a simple editor or using
 the EcmaScript (JavaScript) programming language for more customization.
 Actionaz is cross-platform.

## actionaz 3.4.2

=== debian/changelog ===
actionaz (3.4.2-1) unstable; urgency=low

  * New upstream release

 -- Adrien Cunin <adri2000@ubuntu.com>  Sun, 24 Jun 2012 17:09:31 +0200

actionaz (3.4.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add Build-Depends on libopencv-dev, and remove libcv-dev and
    libcvaux-dev. (Closes: #674992)

 -- Tim Retout <diocles@debian.org>  Wed, 06 Jun 2012 08:49:27 +0100

actionaz (3.4.1-1) unstable; urgency=high

  * New upstream release
     - Fixes FTBFS with gcc 4.7 (Closes: #667093)
  * Set urgency=high for RC bug fix
  * Updated Standards-Version to 3.9.3, no change needed

 -- Adrien Cunin <adri2000@ubuntu.com>  Mon, 07 May 2012 08:59:13 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: extra
 Maintainer: Adrien Cunin <adri2000@ubuntu.com>
-Build-Depends: debhelper (>= 8), libqt4-dev, libxtst-dev, libnotify-dev, qtmobility-dev, libqt4-opengl-dev, libcv-dev, libcvaux-dev, libboost-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 8), libqt4-dev, libxtst-dev, libnotify-dev, qtmobility-dev, libqt4-opengl-dev, libopencv-dev, libboost-dev
+Standards-Version: 3.9.3
 Homepage: http://actionaz.org
 Vcs-Git: git://git.debian.org/collab-maint/actionaz.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/actionaz.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure
	qmake -r PREFIX=/usr "DEFINES += ACT_NO_UPDATER"

override_dh_auto_build:
	dh_auto_build
	make locale_release

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib/actionaz/

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
http://githubredir.debian.net/github/Jmgr/actionaz/ v(.*).tar.gz

## actionaz 3.5.1

=== debian/changelog ===
actionaz (3.5.1-0ubuntu1) raring; urgency=low

  * New upstream release
  * Updated Standards-Version to 3.9.4, no change needed
  * Switch to dh 9, in order to use dpkg-buildflags
  * Updated debian/watch, thanks to Bart Martens

 -- Adrien Cunin <adri2000@ubuntu.com>  Mon, 28 Jan 2013 15:46:40 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: extra
 Maintainer: Adrien Cunin <adri2000@ubuntu.com>
-Build-Depends: debhelper (>= 8), libqt4-dev, libxtst-dev, libnotify-dev, qtmobility-dev, libqt4-opengl-dev, libopencv-dev, libboost-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), libqt4-dev, libxtst-dev, libnotify-dev, qtmobility-dev, libqt4-opengl-dev, libopencv-dev, libboost-dev
+Standards-Version: 3.9.4
 Homepage: http://actionaz.org
 Vcs-Git: git://git.debian.org/collab-maint/actionaz.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/actionaz.git;a=summary

## actionaz 3.6.1

=== debian/changelog ===
actionaz (3.6.1-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Adrien Cunin <adri2000@ubuntu.com>  Tue, 05 Mar 2013 18:54:51 +0100

## actionaz 3.7.0

=== debian/changelog ===
actionaz (3.7.0-1) unstable; urgency=low

  * New upstream release

 -- Adrien Cunin <adri2000@ubuntu.com>  Tue, 27 Aug 2013 10:52:14 +0200

actionaz (3.6.2-1) unstable; urgency=low

  * New upstream release
  * Use canonical URIs for the VCS fields

 -- Adrien Cunin <adri2000@ubuntu.com>  Mon, 03 Jun 2013 13:45:31 +0200

actionaz (3.6.1-1) experimental; urgency=low

  * Upload to experimental due to freeze
  * New upstream release
  * Updated Standards-Version to 3.9.4, no change needed
  * Fixed dh_auto_configure call in debian/rules
  * Switch to dh 9, in order to use dpkg-buildflags
  * Updated debian/watch, thanks to Bart Martens

 -- Adrien Cunin <adri2000@ubuntu.com>  Thu, 11 Apr 2013 11:06:50 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Build-Depends: debhelper (>= 9), libqt4-dev, libxtst-dev, libnotify-dev, qtmobility-dev, libqt4-opengl-dev, libopencv-dev, libboost-dev
 Standards-Version: 3.9.4
 Homepage: http://actionaz.org
-Vcs-Git: git://git.debian.org/collab-maint/actionaz.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/actionaz.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/actionaz.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/actionaz.git
 
 Package: actionaz
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure
-	qmake -r PREFIX=/usr "DEFINES += ACT_NO_UPDATER"
+	dh_auto_configure -- DEFINES+=ACT_NO_UPDATER
 
 override_dh_auto_build:
 	dh_auto_build

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/Jmgr/actionaz/tags .*/v(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Sat, 22 Dec 2012 12:46:06 +0000

## actionaz 3.8.0

=== debian/changelog ===
actionaz (3.8.0-1) unstable; urgency=medium

  * New upstream release
  * Updated Standards-Version to 3.9.5, no change needed

 -- Adrien Cunin <adri2000@ubuntu.com>  Wed, 23 Apr 2014 11:45:56 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Adrien Cunin <adri2000@ubuntu.com>
 Build-Depends: debhelper (>= 9), libqt4-dev, libxtst-dev, libnotify-dev, qtmobility-dev, libqt4-opengl-dev, libopencv-dev, libboost-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://actionaz.org
 Vcs-Git: git://anonscm.debian.org/collab-maint/actionaz.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/actionaz.git
